"use client";

import React from "react";
import TransferList, { TransferListProps } from "./TransferList";
import { useMediaQuery, useTheme } from "@mui/material";
import MultiSelectList from "./MultiSelectList";

const TransferListWrapper: React.FC<TransferListProps> = (props) => {
  const theme = useTheme();
  const matches = useMediaQuery(theme.breakpoints.up("sm"));

  return matches ? <TransferList {...props} /> : <MultiSelectList {...props} />;
};

export default TransferListWrapper;
